unit LoginForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, BaseDataset, NozicleComponents, StdCtrls, ExtCtrls, ComCtrls, Mask,
  DBCtrls;

type
  TfmLogin = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    edLogin: TEdit;
    edPassword: TEdit;
    cbLocalHost: TCheckBox;
    Panel3: TPanel;
    Label6: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmLogin: TfmLogin;
  LoggedIn: BOOLEAN;

function Login: BOOLEAN;

implementation

{$R *.DFM}

uses
  Main;

function Login: BOOLEAN;
begin
  result := FALSE;
  result := (fmLogin.ShowModal = mrOK);
end;

procedure TfmLogin.FormCreate(Sender: TObject);
begin
  LoggedIn := FALSE;
end;

end.
